import re

text_about_phones = """ Let's talk phone numbers. Here are some that might appear in Mexico, in different formats:
+52 (01) 55 1234 5678 or:
(01 55) 1234 5678 or:
(55) 1234 5678. Here's one for the Philippines,
+63 (4) 555 1234, and in Israel they look like this:
+972 2 6333333.
This line doesn't contain any phone numbers.
This is a US one with the international prefix: +1 202 123 4567.
And if your scraper doesn't collect the following number, you're #1!
"""

#1: Split the text by lines - the separator to split by is "\n"  - save the result in a variable lines
#2: Loop through the resulting list of lines using:  for line in lines: ...
#3: Within the scope of the for loop, run a regex search for phone numbers - we assume each line contains max one number
#4: Check if you found something or None in that line
#5: If you found something, print it by accessing the match object's .group() method

def clean_number(number_text):
    """
    Function to clean up some numbers

    :param number_text: number to clean up
    :return: the cleaned up form of the number, without brackets and '+'
    """
    cleaned = re.sub(r"[\+ \(\)]","", number_text)  # Delete non-number characters
    return cleaned

lines = text_about_phones.split("\n")
phone_pattern = r'(\(?[0-9]+\)? ?)+'
for line in lines:
    potential_match = re.search(phone_pattern,line)
    if potential_match is not None:
        number = potential_match.group()
        cleaned_number = clean_number(number)
        print(cleaned_number)


