import re

text_about_phones = """ Let's talk phone numbers. Here are some tha might appear in Mexico, in different formats:
+52 (01) 55 1234 5678 or:
(01 55) 1234 5678 or:
(55) 1234 5678. Here's one for the Philippines,
+63 (4) 555 1234, and in Israel they look like this:
+972 2 6333333.
This line doesn't contain any phone numbers.
Here's a prefix you don't know: +49 30 61658348
This is a US one with the international prefix: +1 202 123 4567.
And if your scraper doesn't collect the following number, you're #1!
"""


prefixes = {}
prefixes["+1"] = "US"
prefixes["+52"] = "MX"
prefixes["+63"] = "PH"
prefixes["+972"] = "IL"


#1: Split the text by lines - the separator to split by is "\n"  - save the result in a variable lines
#2: Loop through the resulting list of lines using:  for line in lines: ...
#3: Within the scope of the for loop, run a regex search for phone numbers - we assume each line contains max one number
#4: Check if you found something or None in that line
#5: If you found something, print it by accessing the match objects .group()


def clean_number(number_text):
    """
    Function to clean special characters in phone numbers

    :param number_text: String containing a number and some special characters such as (, ), +
    :return: String without special characters
    """
    cleaned = re.sub(r"[\+ \(\)]","", number_text) # Delete non-number characters
    return cleaned


lines = text_about_phones.split("\n")
phone_pattern = r'\(?(\+[0-9]+)?\)? ?((\(?[0-9]+\)? ?)+)'
for line in lines:
    potential_match = re.search(phone_pattern,line)
    if potential_match is not None:
        prefix = potential_match.group(1)
        if prefix is not None:
            if prefix in prefixes:
                country = prefixes[prefix]
            else:
                country = "??"
        else:
            country = "??"
        phone_number = potential_match.group(2)
        clean = clean_number(phone_number)
        if len(clean) > 6:
            print(country + " " + clean)


