import nltk
import numpy, matplotlib

text = "Mr. Pickwick turned azure."

# Get a list of tokens
tokenized = nltk.word_tokenize(text)

# Make it a list of (token, pos) tuples
tagged = nltk.pos_tag(tokenized)

words = []
tags = []

for word, tag in tagged:
    words.append(word)
    tagged.append(tag)


# Note the error!
print(tagged)

#[('Mr.', 'NNP'), ('Pickwick', 'NNP'), ('turned', 'VBD'), ('azure', 'NN'), ('.', '.')]


longer_text = """Thick yellow fog, and in consequence electric light to dress by and
breakfast by, was the opening day of the year. Never, to anyone who
looks at this fact in the right spirit, did a year dawn more
characteristically. The denseness, the utter inscrutability of the face
of that which should be, was never better typified. We blindly groped on
the threshold of the future, feeling here for a bell-handle, here for a
knocker, while the door still stood shut. Then, about mid-day, sudden
commotions shook the vapours; dim silhouettes of house-roofs, promised
lands perhaps, or profiled wrecks, stood suddenly out against swirling
orange whirlpools of mist; and from my window, which commanded a double
view up and down Oxford Street, I looked out over the crawling traffic,
with an interest, as if in the unfolding of some dramatic plot, on the
battle of the skies. From sick dead yellow the colour changed to gray,
and for a few moments the street seemed lit by a dawn of April; then
across the pearly tints came a sunbeam, lighting them with sudden
opalescence. Then the smoke from the house opposite, which had been
ascending slowly, like a tired man climbing stairs, was plucked away by
a breeze, and in two minutes the whole street was a blaze of
primrose-coloured sunshine.

All that week I was work-bound in London--a place where, as everyone
knows, there are forty-eight hours in every twenty-four. The reason for
this is obvious. It is impossible to sit idly in a chair in London; it
is impossible (almost) to read a book, and it is (happily) quite
impossible to write one. Hence the hours are multiplied. The sound and
spectacle of life induces a sort of intoxication of the mind. Ten yards
of Piccadilly is a volume, and the Circus an improper epic. Hence the
impossibility of reading; the books are in the flowing tides that jostle
from house-wall to house-wall, and they are vastly more entertaining
than anything that publishers have ever had the good fortune to bring
out.
"""

# Get a list of tokens
tokenized = nltk.word_tokenize(longer_text)

# Make it a list of (token, pos) tuples
tagged = nltk.pos_tag(tokenized)

words = []
tags = []
for word, tag in tagged:
    words.append(word)
    tags.append(tag)


tag_dist = nltk.FreqDist(tags)
word_dist = nltk.FreqDist(words)

print(tag_dist.most_common(4))
print(word_dist.most_common(100)[90:])


word_dist.plot(50,cumulative=True)

from nltk.corpus import masc_tagged

words = []
tags = []
for word, tag in masc_tagged.tagged_words():
    words.append(word)
    tags.append(tag)


tag_dist = nltk.FreqDist(tags)
word_dist = nltk.FreqDist(words)

tag_dist.plot(50)

