from math import log10
from nltk.stem import snowball
from nltk import pos_tag, word_tokenize
import argparse, re

parser = argparse.ArgumentParser()

parser.add_argument("file")

def get_term_freqs(docs):
	"""
	Gather term frequencies per document

	:param docs: list of strings, each containing a document
	:return: nested dictionary of documents to words to frequencies
	"""

options = parser.parse_args()

with open(options.file, encoding="utf8") as f:
	text = f.read()

docs = text.split("\n")

my_stemmer = snowball.SnowballStemmer("english")

freqs = {}
for i in range(len(docs)):
	doc = docs[i] #.decode()
	freqs[i] = {}
	tokens = word_tokenize(doc) #(unicode(doc))
	tagged = pos_tag(tokens)
	for token, tag in tagged:
		if re.match(r"[NVJ]",tag) is not None:
			stem = my_stemmer.stem(token)
			if stem in freqs[i]:
				freqs[i][stem] +=1
			else:
				freqs[i][stem] = 1

	if "citi" in freqs[i]:
		print("Doc " + str(i) + ", citi: " + str(freqs[i]["citi"]))
	else:
		print("Doc " + str(i) + ", citi: 0")
	
